Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
brand_guided_sentiments
/
average_attribute_rating
Brand Ratings on Specific Attributes
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/brand_guided_sentiments/average_attribute_rating \
  --header 'Authorization: <api-key>'
[
  [
    {
      "brand": "Salomon",
      "attribute": "comfort",
      "average_rating": "5.33"
    },
    {
      "brand": "Hoka",
      "attribute": "comfort",
      "average_rating": "5.67"
    },
    {
      "brand": "Adidas",
      "attribute": "comfort",
      "average_rating": "7.00"
    },
    {
      "brand": "Hoka",
      "attribute": "price",
      "average_rating": "7.00"
    },
    {
      "brand": "Nike",
      "attribute": "price",
      "average_rating": "7.50"
    },
    {
      "brand": "Adidas",
      "attribute": "price",
      "average_rating": "8.00"
    },
    {
      "brand": "Nike",
      "attribute": "comfort",
      "average_rating": "8.00"
    }
  ]
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

attribute
string

Filter by one specific attribute.

attribute__in
string

Filter by a list of attributes. Values should be comma separated, without brackets or spaces

brand
string

Filter by one specific brand.

brand__in
string

Filter by a list of brands. Values should be comma separated, without brackets or spaces

collection_date
string<date>

Filter by a collection date being equal to the specified date. YYYY-MM-DD format

collection_date__gt
string<date>

Filter by a collection date being greater than the specified date. YYYY-MM-DD format

collection_date__gte
string<date>

Filter by a collection date being greater than or equal the specified date. YYYY-MM-DD format

collection_date__lt
string<date>

Filter by a collection date being less than the specified date. YYYY-MM-DD format

collection_date__lte
string<date>

Filter by a collection date being less than or equal the specified date. YYYY-MM-DD format

country
string

Filter by one specific country.

country__in
string

Filter by a list of countries. Values should be comma separated, without brackets or spaces

format
enum<string>
Available options:
csv,
json
persona
string

Filter by one specific persona.

persona__in
string

Filter by a list of personas. Values should be comma separated, without brackets or spaces

source
enum<string>

Filter by one specific source.

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
source__in
enum<string>

Filter by a list of sources. Values should be comma separated, without brackets or spaces

Available options:
claude-3-5-sonnet,
claude-4-5-sonnet,
claude-4-6-sonnet,
claude-4-sonnet,
deepseek-chat,
deepseek-reasoner,
gemini-1.5-pro,
gemini-2.0-flash,
gemini-2.5-flash,
gemini-2.5-flash-grounded,
gemini-2.5-flash-lite,
gemini-3-flash-preview,
google-ai-mode,
gpt-3.5-turbo,
gpt-4-turbo,
gpt-4o,
gpt-4o-mini-search,
gpt-5,
gpt-5.2,
gpt-5.4-mini,
meta-llama-3.1-70B-instruct-turbo,
meta-llama-3.2-70B-instruct-turbo,
meta-llama-3.3-70B-instruct-turbo,
meta-llama-4-maverick,
mistral-7B-instruct,
perplexity-sonar,
rufus
translate_to_en
boolean

If true, translates attributes to English. Defaults to false.

Response

brand
string
required
attribute
string
required
average_rating
string<decimal>
required
Pattern: ^-?\d{0,2}(?:\.\d{0,2})?$